plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.kotlin.android)
}

android {
    namespace = "com.example.smart119"
    compileSdk = 34

    signingConfigs {
        create("release") {
            storeFile = file("D:\\work\\Android\\release\\release.jks") // 키스토어 파일 경로
            storePassword = "rnrmq1!" // 키스토어 비밀번호
            keyAlias = "release_key" // 키 별칭
            keyPassword = "admin123#" // 키 비밀번호
        }
    }

    buildFeatures {
        buildConfig = true
    }

    defaultConfig {
        applicationId = "com.example.smart119"
        minSdk = 30
        targetSdk = 34
        versionCode = 2
        versionName = "2.1"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"

        buildConfigField("String", "APP_VERSION", "\"${versionName}\"")
    }

    buildTypes {
        debug {
            isDebuggable = true // ✅ 디버깅 활성화
        }
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
            signingConfig = signingConfigs.getByName("release") // 🔹 릴리즈 서명 추가
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_11
        targetCompatibility = JavaVersion.VERSION_11
    }
    kotlinOptions {
        jvmTarget = "11"
    }
    buildFeatures {
        viewBinding = true
    }
}

dependencies {

    implementation(libs.androidx.core.ktx)
    implementation(libs.androidx.appcompat)
    implementation(libs.material)
    implementation(libs.androidx.constraintlayout)
    implementation(libs.androidx.navigation.fragment.ktx)
    implementation(libs.androidx.navigation.ui.ktx)
    implementation(libs.androidx.databinding.runtime)
    testImplementation(libs.junit)
    androidTestImplementation(libs.androidx.junit)
    androidTestImplementation(libs.androidx.espresso.core)

    implementation("com.squareup.retrofit2:retrofit:2.9.0")
    implementation("com.squareup.retrofit2:converter-gson:2.9.0")
    // Gson 라이브러리
    implementation("com.google.code.gson:gson:2.8.9")

    // RxJava Core 라이브러리
    implementation("io.reactivex.rxjava3:rxjava:3.1.5")
    // RxAndroid (Android-specific extensions)
    implementation("io.reactivex.rxjava3:rxandroid:3.0.2")

    // gps, Fused Location Provider API
    implementation("com.google.android.gms:play-services-location:21.0.1")
    implementation("com.google.android.gms:play-services-location:21.0.1")

    //view pager2
    implementation("androidx.viewpager2:viewpager2:1.1.0")
}